$1  PROCEDURE [dbo].[NAKIT_GIRIS_CIKIS_HAREKET]
@aktif_kullanici varchar(25)='',
@baslangic_tarih dateTime,
@bitis_tarih datetime
AS
-- ==========================================================================================
-- Evrak Tipleri:	--0:NAKİT GİRİŞ EVRAKI 1:NAKİT ÇIKIŞ EVRAKI 
-- ==========================================================================================
SELECT
khar_tarih as [Tarih],
khar_kasa_no as [Kasa No],
dbo.fn_KasaIsim(khar_kasa_no) as [Kasa],
khar_kasiyer_no as [Kasiyer No],
dbo.fn_KullaniciIsim(khar_kasiyer_no) as [Kasiyer],
dbo.fn_KasaHareketEvrakIsmi(khar_tip) as [Evrak Tipi],
khar_tutar as [Tutar]
FROM KASA_HAREKET_BILGI WITH(NOLOCK)
INNER JOIN KASA_TANIMLARI WITH(NOLOCK) ON khar_kasa_no=ksa_no--yetki için eklendi
where khar_tip in (0,1) and CONVERT(DATE,@baslangic_tarih)<=CONVERT(DATE,khar_tarih) and CONVERT(DATE,khar_tarih)<=CONVERT(DATE,@bitis_tarih) 
AND (ksa_magaza_no=dbo.fn_AktifKullaniciMagazaGetir(@aktif_kullanici) OR @aktif_kullanici=0)